<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class GroupMention extends \Google\Protobuf\Internal\Message
{
    


    protected $groupJid = null;
    


    protected $groupSubject = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getGroupJid()
    {
        return isset($this->groupJid) ? $this->groupJid : '';
    }

    public function hasGroupJid()
    {
        return isset($this->groupJid);
    }

    public function clearGroupJid()
    {
        unset($this->groupJid);
    }

    




    public function setGroupJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->groupJid = $var;

        return $this;
    }

    



    public function getGroupSubject()
    {
        return isset($this->groupSubject) ? $this->groupSubject : '';
    }

    public function hasGroupSubject()
    {
        return isset($this->groupSubject);
    }

    public function clearGroupSubject()
    {
        unset($this->groupSubject);
    }

    




    public function setGroupSubject($var)
    {
        GPBUtil::checkString($var, True);
        $this->groupSubject = $var;

        return $this;
    }

}

